Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.util
Class Closure.ClosureReachable

    java.lang.Object
      org.joseki.util.Closure.ClosureReachable

All Implemented Interfaces:
  ClosureTest

Enclosing class:
  Closure

public static class Closure.ClosureReachable
extends java.lang.Object
implements ClosureTest

Constructor Summary
`Closure.ClosureReachable()`

Method Summary
`boolean` | `includeStmt(com.hp.hpl.jena.rdf.model.Statement s)` Return true if the statement should be included in the closure.
`boolean` | `traverse(com.hp.hpl.jena.rdf.model.Resource r)` Return true if the closure algorithm should continue with statements with this resource as subject.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Closure.ClosureReachable

    public Closure.ClosureReachable()

Method Detail

### traverse

    public boolean traverse(com.hp.hpl.jena.rdf.model.Resource r)

  Description copied from interface: `ClosureTest`
  Return true if the closure algorithm should continue with statements with this resource as subject. Applied to subject and object iof each statement traversed

  Specified by:
    `traverse` in interface `ClosureTest`
  Parameters:
    `r` -

### includeStmt

    public boolean includeStmt(com.hp.hpl.jena.rdf.model.Statement s)

  Description copied from interface: `ClosureTest`
  Return true if the statement should be included in the closure. The algorithm still recurses on the subject and object - this test is just about whether it is included in the result collection.

  Specified by:
    `includeStmt` in interface `ClosureTest`
  Parameters:
    `s` - Statement to test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.